using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FLY.ControlLibrary
{
    /// <summary>
    /// MessageBox.xaml 的交互逻辑
    /// </summary>
    public partial class MyMessageBox : WindowBigClose
    {
        public MyMessageBox()
        {
            InitializeComponent();
            
        }
        public static bool? Show(string message)
        {
            MyMessageBox mb = new MyMessageBox();
            mb.textblock_message.Text = message;
            mb.Owner = Application.Current.MainWindow;
            
            return mb.ShowDialog();
        }

        private void button_ok_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            this.Close();
        }
    }
}
